import chimera.extension

class BioDAppsEmo(chimera.extension.EMO ):
    """
    Is needed to add an Add-On to Chimera
    """
    
    def name(self):
        """
        Defines the name of the addon in chimera
        """
        return 'My BioDApps Jobs'
    
    def description(self):
        """
        Defines the description of the addon in chimera
        """
        return 'BioDApps of the last seven days.'
    
    def categories(self):
        """
        Defines the menuSubItem of the addon in chimera
        """
        return ['BioDApps']
    
    def icon(self):
        """
        Add an Icon to the name (not implemented)
        """
        return self.path('logo.png')
    
    def activate(self):
        """
        Adds the Add-On to chimera (tells chimera that there is a new Add-On)
        """
        from chimera import dialogs
        d = dialogs.display(self.module('gui').BioDAppsDialog.name)  # @UnusedVariable
        return None



emo = BioDAppsEmo(__file__)
chimera.extension.manager.registerExtension(emo)